<?php

/**
 * This file is a part of horstoeko/zugferd.
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Modified by storeabill on 06-June-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

namespace Vendidero\StoreaBill\Vendor\horstoeko\zugferd\quick;

use Vendidero\StoreaBill\Vendor\horstoeko\zugferd\ZugferdProfiles;
use Vendidero\StoreaBill\Vendor\horstoeko\zugferd\quick\ZugferdQuickDescriptor;

/**
 * Class representing the document descriptor for outgoing documents in XRECHNUNG profile
 *
 * @category Zugferd
 * @package  Zugferd
 * @author   D. Erling <horstoeko@erling.com.de>
 * @license  https://opensource.org/licenses/MIT MIT
 * @link     https://github.com/horstoeko/zugferd
 */
class ZugferdQuickDescriptorXRechnung extends ZugferdQuickDescriptor
{
    /**
     * @inheritDoc
     */
    protected static function getProfile(): int
    {
        return ZugferdProfiles::PROFILE_XRECHNUNG;
    }
}
