<?php
/**
 * @license MIT
 *
 * Modified by storeabill on 06-June-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

declare(strict_types=1);

namespace Vendidero\StoreaBill\Vendor\Metadata\Cache;

use Vendidero\StoreaBill\Vendor\Metadata\ClassMetadata;

interface CacheInterface
{
    /**
     * Loads a class metadata instance from the cache
     */
    public function load(string $class): ?ClassMetadata;

    /**
     * Puts a class metadata instance into the cache
     */
    public function put(ClassMetadata $metadata): void;

    /**
     * Evicts the class metadata for the given class from the cache.
     */
    public function evict(string $class): void;
}
