<?php

/**
 * This file is part of FPDI
 *
 * @package   setasign\Fpdi
 * @copyright Copyright (c) 2023 Setasign GmbH & Co. KG (https://www.setasign.com)
 * @license   http://opensource.org/licenses/mit-license The MIT License
 *
 * Modified by storeabill on 06-June-2024 using {@see https://github.com/BrianHenryIE/strauss}.
 */

namespace Vendidero\StoreaBill\Vendor\setasign\Fpdi;

use Vendidero\StoreaBill\Vendor\setasign\Fpdi\PdfParser\CrossReference\CrossReferenceException;
use Vendidero\StoreaBill\Vendor\setasign\Fpdi\PdfParser\PdfParserException;
use Vendidero\StoreaBill\Vendor\setasign\Fpdi\PdfParser\Type\PdfIndirectObject;
use Vendidero\StoreaBill\Vendor\setasign\Fpdi\PdfParser\Type\PdfNull;

/**
 * Class Fpdi
 *
 * This class let you import pages of existing PDF documents into a reusable structure for FPDF.
 */
class Fpdi extends FpdfTpl
{
    use FpdiTrait;
    use FpdfTrait;

    /**
     * FPDI version
     *
     * @string
     */
    const VERSION = '2.6.0';
}
